<style>
  .cart-donation {
    border: 1px solid black;
    padding: 15px;
  }
</style>

<h2>Voulez-vous faire faire un don ?</h2>

<?php 

$skuProduct = $this->helper('Mfg\Donation\Helper\Data')->getConfig('donation/general/sku_product');
$imageProduct = $this->getImagePathFromSku($skuProduct);
$titleConfig = $this->helper('Mfg\Donation\Helper\Data')->getConfig('donation/general/title');
$descriptionConfig = $this->helper('Mfg\Donation\Helper\Data')->getConfig('donation/general/description');
$amoutConfig = $this->helper('Mfg\Donation\Helper\Data')->getConfig('donation/general/amount');
$product = $this->getProduct($skuProduct);

?>

<h3><?= $titleConfig ?></h3>
<p><?= $descriptionConfig ?></p>

<?php $postParams = $block->getAddToCartPostParams($product); ?>


<?php if($this->donationProductInCart($skuProduct)): ?>
  
  <form action="<?php /* @escapeNotVerified */ echo $skuProduct ?>" method="POST">
    <?php echo $block->getBlockHtml('formkey')?>
    <img src="<?= $imageProduct ?>" alt="" width="100">
    
    <!-- <button type="submit" title="<?php // echo $block->escapeHtml(__('J\'annuler mon don')); ?>" class="action tocart primary">
      <span><?php /* @escapeNotVerified */ // echo __('J\'annuler mon don'); ?></span>
    </button> -->
    <a href="#"
         title="<?php echo $block->escapeHtml(__('Remove item')); ?>"
         class="action tocart primary"
         data-post='<?php echo $this->helper('Magento\Checkout\Helper\Cart')->getDeletePostJson($product) ?>'>
         <span><?php echo __('J\'annuler mon don')?></span>
    </a>

  </form>  

  <?php else : ?>

    <form action="<?php /* @escapeNotVerified */ echo $postParams['action']; ?>" method="POST">
      <?php echo $block->getBlockHtml('formkey')?>
      <img src="<?= $imageProduct ?>" alt="" width="100">
      <div>
        <label for="amount">Montant de votre don : </label>
        <input id="amount" name="amount" type="number" min="0" value="<?= $amoutConfig ?>" style='width: auto'> €
      </div>

      <button type="submit" title="<?php echo $block->escapeHtml(__('Faire un don !')); ?>" class="action tocart primary">
        <span><?php /* @escapeNotVerified */echo __('Faire un don !'); ?></span>
      </button>
    </form>
    
  <?php endif; ?>